Page 1 of 1

Extensions website request...

Posted: Mon Feb 04, 2008 8:32 pm
by mtxrooster
First off, not sure where to put this.  I have a request regarding the actual Joomla Extensions website (not a Joomla feature). 

The request:

Consider doing one of two things:

1.  Lump all the current 1.0x downloadables (be it component, module, plugin) into a 1.0x-only area, and create one for 1.5x.

2.  Add some flag/option on the main page to search 1.0x, 1.5x, or ALL.

Obviously you catch the reasoning behind this.  Sure with some modules, it won't matter.  They will update code and support BOTH.  Some (many?) in 1.0x work just fine with 1.5 already (and should get the 1.5 flag).  However, some 1.0x "things" have been made clear by the developer that 1.5 will NOT be supported.  Problem is, that sentence isn't always in a desc. here, it might be in the forums on their own site, or hidden elsewhere.  Sure, enough research and time will dig this up, but that's alot of people wasting alot of time.  The goal here is to streamline things, so that especially now that 1.5 is Official people who want to run it should be easily able to identify and search for 1.5 specific "things".  :)

Re: Extensions website request...

Posted: Tue Feb 05, 2008 12:41 pm
by dkarlovi
I agree, also it should clearly be stated if the 1.0 extension works in "1.5 native" or "1.5 legacy" mode, we should separate that.

Re: Extensions website request...

Posted: Tue Feb 05, 2008 1:41 pm
by ot2sen
An improved visualisation of 1.0.x Native, 1.5.x Legacy and 1.5.x Native compatibility will be included in next update of Joomla! Extensions Directory.
See this thread for a preview/screenshot:
http://forum.joomla.org/index.php/topic ... msg1186501

And the advanced seach will be adjusted to this.

Re: Extensions website request...

Posted: Tue Feb 05, 2008 7:14 pm
by mtxrooster
That is awesome news :)  Tnx for the info!  8)